


/* ------------------------------- open: GENERAL ------------------------------------------ */

body {
    cursor: auto !important;
  }

  a:hover {
    cursor: auto !important;
  }
.texto-mesa h1{

    color: var(--main);
  margin-bottom: 15px;
  padding: 0px 16px !important;
  font-family: var(--typo-secondary);
  font-weight: 300;
  text-transform: uppercase;
  font-size: 30px;
  text-align: center;

}

body.page-template {
    font-family: var(--typo-secondary);
}

body.page-template-template-no-header-footer-gastrobar .container-wrap {
    padding: 0 !important;
}

body.page-template-template-no-header-footer-gastrobar #header-outer {
    padding: 0 !important;
}


/* ··················· selección de texto ··········· */
::-moz-selection {
    /* Code for Firefox */
    color: var(--neutral-50);
    background: var(--main);
}

::selection {
    color: var(--neutral-50);
    background: var(--main);
}

/* ··················· fin selección de texto ··········· */

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
}

/* ··················· ocultar captcha en gastrobar ··········· */
.grecaptcha-badge {
    display: none !important;
}

/* placeholder pago */
.pedido-gastrobar input::-webkit-input-placeholder {
    /* Google Chrome y Safari */
    color: var(--neutral-70) !important;
    font-weight: 400;
    opacity: 1;
    letter-spacing: 0.03em;
}

.pedido-gastrobar input:-moz-placeholder {
    /* Firefox anterior a 19 */
    color: var(--neutral-70) !important;
    font-weight: 400;
    opacity: 1;
    letter-spacing: 0.03em;
}

.pedido-gastrobar input::-moz-placeholder {
    /* Firefox 19 y superior */
    color: var(--neutral-70) !important;
    font-weight: 400;
    opacity: 1;
    letter-spacing: 0.03em;
}

.pedido-gastrobar input:-ms-input-placeholder {
    /* Internet Explorer 10 y superior */
    color: var(--neutral-70) !important;
    font-weight: 400;
    opacity: 1;
    letter-spacing: 0.03em;
}

/* fin placeholder pago */

/* ocultar el icono de cookies y captcha en esta página */

.page-gastrobar .grecaptcha-badge,
.page-gastrobar #qc-cmp2-container,
.page-gastrobar #slide-out-widget-area,
.page-gastrobar .slide-out-widget-area-toggle,
.page-template-template-no-header-footer-gastrobar .grecaptcha-badge,
.page-template-template-no-header-footer-gastrobar #qc-cmp2-container {
    display: none !important;
}

/* fin ocultar el icono de cookies y captcha en esta página */

/* quitar el padding-top que forzamos en la web */
#main-content .et_builder_inner_content .et_pb_section_0#section-gastrobar {
    padding-top: 0 !important;
}

/* fin quitar el padding-top que forzamos en la web */

.logo-gastro {
    height: auto;
    position: relative;
    z-index: 1;
    margin-bottom: 16px;
}

.logo-gastro .block-img {
    height: auto;
    width: 100%;
    text-align: center;
}

.logo-gastro .block-img .img-logo-pcpal {
    width: 300px;
    margin-bottom: 40px;
    margin-top: 20px;
}

/* movimiento estatua */
.composicion-movimiento {
    width: 100%;
    height: 200px;
    position: relative;
    top: -50px;
    left: 0;
    margin: 0 auto;
    transform: scale(0.6);
}

.composicion-movimiento img {
    position: absolute;
}

.cabeza-down {
    width: 150px;
    top: 135px;
    left: 50%;
    margin-left: -83px;
    animation-name: cabeza-down;
    animation-duration: 40s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.cabeza-up {
    width: 200px;
    top: 0px;
    left: 50%;
    margin-left: -95px;
    animation-name: cabeza-up;
    animation-duration: 25s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.triangulo-front {
    width: 380px;
    top: 117px;
    left: 50%;
    margin-left: -210px;
    animation-name: triangulo;
    animation-duration: 30s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.triangulo-back {
    width: 380px;
    top: 115px;
    left: 50%;
    margin-left: -210px;
    animation-name: triangulo;
    animation-duration: 30s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.nube-back {
    width: 350px;
    top: 60px;
    left: 50%;
    margin-left: -320px;
    animation-name: nube_back;
    animation-duration: 70s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.nube-front {
    width: 250px;
    top: 140px;
    left: 50%;
    margin-left: 30px;
    animation-name: nube_front;
    animation-duration: 70s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    /* transform: rotate(0deg) translatex(50px); */
}

@keyframes cabeza-up {
    0% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }

    10% {
        transform: translatey(5px) translatex(0px) rotate(0deg);
    }

    20% {
        transform: translatey(0px) translatex(0px) rotate(-2deg);
    }

    30% {
        transform: translatey(0px) translatex(0px) rotate(2deg);
    }

    40% {
        transform: translatey(5px) translatex(0px) rotate(0deg);
    }

    50% {
        transform: translatey(5px) translatex(2px) rotate(0deg);
    }

    60% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }

    70% {
        transform: translatey(5px) translatex(0px) rotate(0deg);
    }

    80% {
        transform: translatey(5px) translatex(-2px) rotate(0deg);
    }

    90% {
        transform: translatey(5px) translatex(2px) rotate(0deg);
    }

    100% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }
}

@keyframes cabeza-down {
    0% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }

    10% {
        transform: translatey(15px) translatex(-5px) rotate(3deg);
    }

    20% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }

    30% {
        transform: translatey(15px) translatex(0px) rotate(0deg);
    }

    40% {
        transform: translatey(5px) translatex(0px) rotate(0deg);
    }

    50% {
        transform: translatey(5px) translatex(2px) rotate(0deg);
    }

    60% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }

    70% {
        transform: translatey(15px) translatex(-5px) rotate(3deg);
    }

    80% {
        transform: translatey(5px) translatex(-2px) rotate(0deg);
    }

    90% {
        transform: translatey(5px) translatex(2px) rotate(0deg);
    }

    100% {
        transform: translatey(0px) translatex(0px) rotate(0deg);
    }
}

@keyframes triangulo {
    0% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }

    25% {
        transform: rotate(5deg) translatex(-3px) translatey(-50px);
    }

    50% {
        transform: rotate(0deg) translatex(0px) translatey(20px);
    }

    75% {
        transform: rotate(-5deg) translatex(3px) translatey(-50px);
    }

    100% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }
}

@keyframes nube_back {
    0% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }

    25% {
        transform: rotate(5deg) translatex(50px) translatey(-5px);
    }

    50% {
        transform: rotate(0deg) translatex(-50px) translatey(0px);
    }

    75% {
        transform: rotate(-5deg) translatex(50px) translatey(5px);
    }

    100% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }
}

@keyframes nube_front {
    0% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }

    25% {
        transform: rotate(-5deg) translatex(-50px) translatey(5px);
    }

    50% {
        transform: rotate(0deg) translatex(50px) translatey(0px);
    }

    75% {
        transform: rotate(5deg) translatex(-50px) translatey(-5px);
    }

    100% {
        transform: rotate(0deg) translatex(0px) translatey(0px);
    }
}

/*  fin movimiento estatua */

/* -------- selección de productos -------- */

#Imagen-bg-gastro {
    position: fixed;
    z-index: 0;
    height: 100vh;
}

#cont-page-gastrobar {
    min-height: 100vh;
}

.row.content-gastrobar {
    margin: 0 15px;
}

.row .logo-gastro {
    padding-top: 20px;
    text-align: center;
    margin-bottom: 0px;
}

#cont-page-gastrobar .logo-gastro img {
    width: 50% !important;
    max-width: 200px;
    margin: 0 auto;
}

.texto-mesa {
    color: var(--neutral-900);
    margin-bottom: 20px;
    padding: 0px 16px !important;
}

.texto-mesa p {
    text-align: center;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 0;
    margin-bottom: 2px;
}

.texto-mesa p.text-title strong {
    font-size: 24px;
    font-weight: 300;
    letter-spacing: 0.03em;
    line-height: 100%;
}

.texto-mesa p.text-title strong span {
    font-family: var(--typo-secondary);
    font-size: 32px;
    padding-left: 4px;
}

.texto-mesa p.text-mesa-pedido {
    padding: 10px 0 15px;
    font-size: 14px;
    letter-spacing: 0.5px;
    font-family: var(--typo-secondary);
}

.texto-mesa p.text-mesa-pedido strong {
    font-weight: 600;
  font-size: 20px;
  padding-left: 8px;
  font-family: var(--typo-secondary);
  text-transform: uppercase;
}

.texto-mesa p.hora-cierre-gastro {
    text-transform: initial;
    letter-spacing: 0;
    color: var(--main);
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
    text-transform: full-size-kana;
    font-style: italic;
    font-family: var(--typo-secondary);
    display: block;
}

.texto-mesa p.hora-cierre-gastro strong {
    text-transform: initial;
    letter-spacing: 0;
    color: var(--main);
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    text-transform: full-size-kana;
    font-style: italic;
    font-family: var(--typo-secondary);
    padding-left: 5px;}

.fa {
    margin: 0 !important;
  }

.all-categories-gastro {
    float: left;
    width: 100%;
    padding: 16px 16px 80px;
}

.category-gastro {
    margin-bottom: 16px;
    border: 1px solid var(--neutral-30);
    border-radius: 0px;
    padding: 16px !important;
    background-color: rgba(var(--White-rgb), 0.5);
}

.category-gastro .row {
    padding: 12px 0 0;
}

.gastrobar .et_pb_row {
    width: 100% !important;
    
  }

.category-gastro .title-category-gastro,
.pedido-cont-gastro .title-category-gastro {
    font-size: 16px;
    line-height: 14px;
    margin-bottom: 0;
    padding: 4px 0;
    margin-top: 0;
    letter-spacing: 1px;
    color: var(--secondary);
    font-weight: 500;
    text-transform: uppercase;
    font-family: var(--typo-secondary);
}

.product-gastro {
    display: flex;
    align-items: center;
    overflow: hidden;
    height: 70px;
    margin: 4px 0;
    background: rgba(var(--White-rgb), 0.3);
    border: 1px solid var(--neutral-30);
    border-radius: 0px;
    position: relative;
}

.category-gastro .product-gastro {
    cursor: pointer;
}

.img-product-gastro {
    width: 70px !important;
    background-color: var(--White);
    padding: 4px;
    border-right: 0.5px solid var(--neutral-200);
    height: 70px;
}

.row .img-product-gastro img {
    margin: 0 auto;
    height: 100%;
    width: 100% !important;
}

.text-product-gastro {
    width: calc(100% - 140px);
    padding: 0 12px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.text-product-gastro h3 {
    color: var(--black);
    font-size: 14px !important;
    line-height: 15px !important;
    letter-spacing: 0.03em !important;
    width: 100%;
    margin: 0 !important;
    padding-bottom: 5px;
    font-weight: 500;
    text-transform: lowercase;
    font-family: var(--typo-secondary);
}

.text-product-gastro h3::first-letter {
  
    text-transform: uppercase;
}

.text-product-gastro .pvp-product-gastro {
    color: var(--main);
    font-size: 14px;
    line-height: 13px;
    width: 100%;
    font-weight: 600;
    padding-top: 4px;
    margin-bottom: 0;
    letter-spacing: 0.03em;
    font-family: var(--typo-secondary);
}

.text-product-gastro .pvp-product-gastro span {
    letter-spacing: 0.05em;
    font-size: 11px;
    font-weight: 400;
}

.btn-product-gastro {
    width: 70px;
    margin: 0;
    display: flex;
    align-items: center;
    height: 70px;
}

.btn-product-gastro a {
    text-decoration: none;
}

.btn-product-gastro a .fa,
.btn-product-gastro a:hover .fa,
.title-category-gastro .fa {
    color: var(--neutral-900);
    border-left: 0.5px solid var(--neutral-200);
    background: none;
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition);
    font-size: 16px;
    background-color: rgba(var(--White-rgb), 0.5);
}

.title-category-gastro .fa {
    float: right;
    width: 16px;
    height: 15px;
    border: none;
    font-size: 11px;
    color: var(--neutral-400);
    background: none;
}

.title-category-gastro .fa-plus {
    display: none;
}

/* -------------------- efecto al pulsar los botones */
.push-item {
    display: block;
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    overflow: hidden;
    left: 0;
    cursor: pointer;
}

.ink {
    display: block;
    position: absolute;
    border-radius: 100%;
    transform: scale(0);
    background: rgba(166,146,94, 0.2);
}

.animate {
    animation: ripple 0.5s linear;
}

@keyframes ripple {
    100% {
        opacity: 0;
        transform: scale(1.5);
        background: rgba(var(--White-rgb), 0);
    }
}

/* FIN efecto al pulsar los botones */

.btn-product-gastro a:active .fa {
    color: var(--White);
    background-color: var(--neutral-900);
    border-left: 0.5px solid var(--neutral-900);
}

.btn-gastro {
    position: initial ;
    bottom: 56px;
    left: 15px;
    width: calc(100% - 30px) !important;
    height: auto;
    border: 1px solid var(--neutral-50);
    border-radius: 0px;
    padding: 16px 16px;
    background: var(--main);
    backdrop-filter: blur(4px);
    transition: var(--transition);
    bottom:0px
}

.btn-gastro:hover {
    background: var(--black);
    text-decoration: none;
}

.btn-gastro a,
.btn-gastro #continuar_compra,
.btn-gastro a:hover,
.btn-gastro #continuar_compra:hover {
    width: 100%;
    max-width: 350px;
    color: var(--text-light);
    text-decoration: none;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    font-family: var(--typo-secondary);
    text-transform: uppercase;
    font-size: 18px;
    font-weight: 500;
}

.btn-gastro a:hover {
    color: var(--White);
    text-decoration: none;
}

.btn-gastro a strong {
    font-size: 18px;
    padding-left: 10px;
    font-weight: 500;
    color: var(--text-light);
    font-family: var(--typo-secondary);
}

.btn-gastro a span {
    font-size: 18px;
    padding-left: 10px;
    font-weight: 500 !important;
    color: var(--text-light);
}

.btn-gastro a .fa {
    font-size: 15px;
    padding-top: 0;
    margin-right: 16px;
}

.btn-gastro i{display:none}

/* proveedor tecnológico */

.proveedor-jig {
    position: fixed !important;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 1470px;
    border-top: 0.5px solid var(--neutral-200);
    padding: 0;
    height: 48px;
    line-height: 40px;
    background: rgba(250, 249, 249, .8);
    backdrop-filter: blur(4px);
}

.proveedor-jig.jig-gris {
    max-width: 600px;
}

.proveedor-jig p {
    color: var(--neutral-800);
    text-transform: uppercase;
    font-size: 8px;
    letter-spacing: 1px;
    padding: 0 8px 0 0;
    margin: 0;
}

.proveedor-jig.jig-gris p {
    color: rgba(var(--black-rgb), 0.2);
}

.proveedor-jig img {
    margin: 0 0 0 5px !important;
    width: 64px !important;
    opacity: 1;
}

.proveedor-jig.jig-gris img {
    opacity: 0.2;
}

/* fin proveedor tecnológico */

/* ----------------------------------- 767px */

@media (max-width: 767px) {
    body.page-template-template-no-header-footer-gastrobar .container {
        max-width: 100% !important;
    }

    #cont-page-gastrobar .logo-gastro img {
        width: auto !important;
        height: 56px;
    }

    .btn-gastro a,
    .btn-gastro #continuar_compra {
        max-width: 100%;
    }

    .proveedor-jig {
        max-width: 600px;
    }
}

/* -------- fin selección de productos -------- */

/* -------- tu pedido -------- */

.mask-pedido {
    display: none;
    height: 100%;
    left: 0;
    overflow: hidden;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1;
    background-color: rgba(var(--Bg-rgb), 0.9);
    backdrop-filter: blur(5px);
}

.pedido-gastrobar {
    float: left;
    width: 100%;
    position: absolute;
    bottom: 0;
    padding: 16px 16px 56px;
    max-width: 600px;
    left: 50%;
    margin-left: -300px;
    margin-bottom: 50px;
}

.cerrar-pedido-gastro {
    padding: 0 8px 4px;
    text-align: right;
}

.cerrar-pedido-gastro a .fa {
    color: var(--neutral-900);
    font-size: 16px;
    width: 19px;
    height: 25px;
}

.pedido-cont-gastro {
    max-height: 48vh;
    overflow: auto;
    margin-bottom: 16px;
    border: 1px solid var(--neutral-30);
    border-radius: 0px;
    padding: 16px 16px 12px !important;
    background-color: rgba(var(--neutral-50-rgb), 0.5);
}

.pedido-cont-gastro .title-category-gastro {
    padding-bottom: 12px;
}

.pedido-cont-gastro .title-category-gastro::after {
    background-color: rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.pedido-cont-gastro {
    padding-bottom: 10px;
}

.fila-pedido:last-child {
    margin-bottom: 0;
}

.btn-eliminar-gastro .fa {
    font-size: 30px;
    height: 31px;
    color: rgba(var(--black-rgb), 0.1);
    width: 24px;
}

.total-pedido-gastro {
    padding: 8px 16px 20px;
}

.text-total-pedido h3 {
    font-size: 24px !important;
    color: var(--neutral-900);
    line-height: 100% !important;
    margin: 0 !important;
    letter-spacing: 1px !important;
    text-transform: uppercase;
    padding-bottom: 0px;
    font-weight: 600;
    font-family: var(--typo-secondary);
}

.text-total-pedido p {
    font-size: 10px;
    color: var(--neutral-800);
    line-height: 10px;
    letter-spacing: 0.05em;
    padding-left: 4px;
    margin: 0;
}

.valor-total-pedido,
.valor-total-descuento,
.valor-total-original {
    text-align: right;
}

.valor-total-pedido h3,
.valor-total-descuento h3,
.valor-total-original h3 {
    font-size: 24px !important;
    line-height: 100% !important;
    letter-spacing: 1px !important;
    margin-bottom: 0 !important;
    color: var(--main);
    font-weight: 600 !important;
    margin: 0;
      margin-bottom: 0px;
    padding: 0;
    font-family: var(--typo-secondary);
}

.btn-gastro.btn-pago-pedido {
    position: relative !important;
    float: left;
    width: 100% !important;
    left: auto;
    bottom: inherit;
    font-family: var(--typo-secondary);
    text-transform: uppercase;
    font-weight: 500 !important;}

.pedido-gastrobar .proveedor-jig {
    width: 100%;
    left: 0;
}

/* cupon */
.form-group-cupon {
    clear: both;
    float: left;
    width: 100%;
    position: relative;
    padding: 0 16px 16px;
    display: flex;
    align-items: center;
    gap: 0 8px;
    flex-wrap: wrap;
}

.linea-cupon {
    margin: 0;
    width: calc(100% - 96px);
}

#cupon_gastro {
    letter-spacing: 0.03em;
    color: var(--neutral-800);
    -webkit-appearance: none;
    width: 100%;
    font-size: 14px;
    transition: var(--transition);
    border-radius: 0px;
    border: 1px solid var(--neutral-200);
    outline: 1px solid var(--neutral-50);
    box-shadow: none;
    height: 40px;
    line-height: 40px;
    background: none;
    transition: var(--transition);
    font-family: var(--typo-secondary);
}

#cupon_gastro:hover {
    border: 0.5px solid var(--neutral-900);
    outline: 0.5px solid var(--neutral-50);
}

#cupon_gastro:focus {
    border: 0.5px solid var(--neutral-70);
    outline: 0.5px solid var(--neutral-70);
    color: var(--neutral-900);
    font-weight: 500;
}

.form-group-cupon .linea-btn-cupon {
    width: 88px;
}

#aplicar_cupon_gastro {
    color: var(--neutral-50);
    width: 100%;
    font-size: 14px;
    letter-spacing: 0.03em;
    font-weight: 600;
    padding: 0 16px;
    border: 1px solid var(--neutral-70);
    border-radius: 0px;
    height: 40px;
    line-height: 40px;
    background-color: var(--neutral-70);
    transition: var(--transition);
}

#aplicar_cupon_gastro:hover,
#aplicar_cupon_gastro:focus {
    background-color: var(--neutral-900);
}

#aplicar_cupon_gastro[disabled] {
    display: none;
}

body .linea_datos input.input_datopersonal[disabled] {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/check.svg);
    background-size: 14px;
    background-repeat: no-repeat;
    background-position: right 15px center;
}

.text-error-cupon {
    display: none;
    padding: 8px 8px 0;
    margin: 0;
    width: 100%;
}

.text-error-cupon p {
    color: var(--error);
    font-size: 10px;
    line-height: 12px;
    letter-spacing: 0.03em;
    font-weight: 400;
    margin: 0;
}


/* textos cuando hemos metido un cupón */
.total-pedido-gastro-original,
.total-pedido-gastro-dto {
    display: flex;
    justify-content: space-between;
    padding-bottom: 4px;
}

.total-pedido-gastro-dto {
    padding-bottom: 8px;
}

.total-pedido-gastro-original .text-total-pedido {
    display: flex;
    align-items: flex-end;
}

.total-pedido-gastro-original .text-total-pedido p {
    padding-bottom: 1px;
}

.total-pedido-gastro-original h3,
.total-pedido-gastro-dto h3 {
    font-size: 14px !important;
    color: var(--neutral-800);
    font-weight: 400;
}

/* fin cupon */

/* ----------------------------------- 767px */

@media (max-width: 767px) {
    .pedido-gastrobar {
        max-width: initial;
        left: 0;
        margin-left: 0;
    }
}

/* -------- fin tu pedido -------- */

/* -------- pago pedido -------- */

/* .logo-gastro.logo-gastro-pago {
    position: absolute;
    top: 0;
} */

.mask-pedido.mask-pago {
    display: flex;
    position: relative;
    top: 0;
    padding: 0;
    margin-top: 0;
    overflow: inherit;
    float: left;
    height: auto;
    background: none;
    backdrop-filter: initial;
}

.mask-pago .pedido-gastrobar {
    position: relative;
    padding-bottom: 0;
}

.mask-pago .pedido-cont-gastro {
    max-height: inherit;
    margin-bottom: 16px;
    border: 1px solid var(--neutral-30);
    border-radius: 0px;
    padding: 16px !important;
    background-color: rgba(var(--White-rgb), 0.5);
}

.btn-cancelar-gastro {
    position: absolute;
    top: -24px;
    right: 16px;
    line-height: 11px;
}

.btn-cancelar-gastro a {
    color: var(--text-light);
    letter-spacing: 0.04em;
    font-size: 11px;
    border: 0.5px solid var(--neutral-70);
    padding: 3px 12px;
    border-radius: 0px;
    font-weight: 500;
    transition: var(--transition);
    text-decoration: none !important;
    height: 30px;
    display: inline-block;
    line-height: 24px;
    background: var(--secondary);
    text-transform: uppercase;
}

.btn-cancelar-gastro a:hover,
.btn-cancelar-gastro a:focus {
    color: var(--neutral-50);
    border: 0.5px solid var(--neutral-900);
    background-color: var(--neutral-900);
}

.mask-pago .pedido-cont-gastro.tipo-pago-pedido {
    padding-bottom: 8px !important;
}

.campos-obligatorios p{
    position: absolute;
    right: 32px;
    top: 34px;
    font-size: 11px !important;
    font-style: italic;
    font-weight: 400;
    color: var(--neutral-600);
    letter-spacing: 0.5px;
}

.campos-obligatorios p {
    margin: 0;
}

.form-campos-pago {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-top: 4px;
}

.form-campos-pago .linea_datos {
    margin: 0;
    width: 100%;
}

body .linea_datos input.input_datopersonal {
    letter-spacing: 0.03em;
    color: var(--neutral-70);
    -webkit-appearance: none;
    width: 100%;
    font-size: 14px;
    border-radius: 0px;
    border: 1px solid var(--neutral-30);
    outline: 0px solid var(--neutral-50);
    box-shadow: none;
    height: 40px;
    line-height: 40px;
    background: none;
    transition: var(--transition);
    padding: 0 16px;
    background-color: rgba(var(--White-rgb), 0.4);
}

body .linea_datos input.input_datopersonal:hover {
    border: 0.5px solid var(--neutral-900);
    outline: 0.5px solid var(--neutral-50);
}

body .linea_datos input.input_datopersonal:focus {
    border: 1px solid var(--neutral-70);
    outline: 1px solid var(--neutral-70);
    color: var(--neutral-900);
    font-weight: 500;
}

/* precio total */
.precio-recordatorio {
    margin-bottom: 16px;
}

.fila-precio.precio-final {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    border-top: 1px dashed var(--neutral-50);
    border-bottom: 1px dashed var(--neutral-50);
    padding: 14px 0;
}

.precio-final .text-total-pedido h3,
.precio-final .valor-total-pedido h3 {
    font-size: 16px !important;
}

.precio-final .text-total-pedido p {
    padding-left: 0;
}

/* formas pago */
#FormasPago {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    margin-bottom: 8px;
}

#FormasPago .pago {
    margin: 0;
    width: 100%;
}

#FormasPago .pago label {
    padding: 0 16px 0 48px;
    margin: 0;
    color: var(--neutral-70);
    font-size: 16px;
    line-height: 18px;
    letter-spacing: 0.02em;
    font-weight: 500 !important;
    background-repeat: no-repeat;
    border-radius: 0px;
    background-size: 30px;
    background-position: top 4px left 10px;
    cursor: pointer;
    border: 0.5px solid var(--neutral-70);
    outline: 0.5px solid var(--neutral-50);
    transition: var(--transition);
    height: 40px;
    line-height: 38px;
    width: 100%;
    opacity: 0.5;
}

#FormasPago .pago label:hover {
    background-position: center left 10px;
    opacity: 1;
}

#FormasPago .pago.selected label,
#FormasPago .pago.selected label:hover {
    border: 0.5px solid var(--main);
    color: var(--text-light);
    outline: 0.5px solid var(--main);
    background-position: bottom 5px left 10px;
    opacity: 1;
    background-color: var(--main);
}

#FormasPago .pago.pago_en_bodega label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-bodega-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago.tarjeta_de_credito label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-card-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago.bizum label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-bizum-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago.paypal label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-paypal-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago.apple_pay label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-apple-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago.google_pay label {
    background-image: url(/wp-content/plugins/visitas/modules/visitas/reservas/images/pago-google-icon.svg);
}

.pedido-gastrobar #FormasPago .radio.pago label input {
    display: none;
}

/* fin formas pago*/

#payment-flow-message {
    width: 100%;
    margin-top: 11px;
    margin-bottom: 11px;
    height: auto !important;
    display: block;
}

/* tunear checkbox */
.tipo-pago-pedido .acepto-condiciones input {
    width: 0;
    height: 0;
    opacity: 0;
}

.tipo-pago-pedido .checkbox {
    margin: 0;
    display: block;
    padding: 8px 0;
}

.tipo-pago-pedido .checkbox:last-child {
    padding-bottom: 0;
}


.tipo-pago-pedido .acepto-condiciones label {
    display: flex;
    align-items: flex-start;
    color: var(--neutral-600);
    position: relative;
    min-height: inherit;
    padding: 0;
    font-size: 12px;
}

.tipo-pago-pedido .checkbox label span {
    width: 16px;
    height: 16px;
    display: flex;
    justify-content: center;
    border: 1px solid var(--neutral-70);
    margin-right: 8px;
    transition: all 0.3s;
    border-radius: 4px;
    overflow: hidden;
    transition: var(--transition);
}

.tipo-pago-pedido .checkbox label>span:hover {
    border: 1px solid var(--neutral-900);
}

.tipo-pago-pedido .checkbox input:checked+label>span {
    animation: bounce 250ms;
    border-color: var(--main);
}

.tipo-pago-pedido .checkbox input:checked+label>span::before {
    content: "";
    position: absolute;
    top: 6.5px;
    left: 3px;
    border-right: 1px solid transparent;
    border-bottom: 1px solid transparent;
    transform: rotate(45deg);
    transform-origin: 0% 100%;
    animation: checked-box 125ms 250ms forwards;
}

@keyframes checked-box {
    0% {
        width: 0;
        height: 0;
        border-color: var(--main);
        transform: translate(0, 12px) rotate(45deg);
    }

    33% {
        width: 5px;
        height: 0;
        border-color: var(--main);
        transform: translate(0, 4px) rotate(45deg);
    }

    100% {
        width: 5px;
        height: 10px;
        border-color: var(--main);
        transform: translate(0, -8px) rotate(45deg);
    }
}

@keyframes bounce {
    0% {
        transform: scale(1);
    }

    33% {
        transform: scale(0.7);
    }

    100% {
        transform: scale(1);
    }
}

/* fin tunear checkbox */

.tipo-pago-pedido .acepto-condiciones label p {
    width: calc(100% - 24px);
    color: var(--neutral-70);
    font-size: 12px;
    letter-spacing: 0.03em;
    line-height: 16px;
    margin: 0;
}

.tipo-pago-pedido .acepto-condiciones label a {
    color: var(--neutral-900);
    font-weight: 500;
    transition: var(--transition);
}

.tipo-pago-pedido .acepto-condiciones label a:hover,
.tipo-pago-pedido .acepto-condiciones label a:focus {
    color: var(--neutral-900);
    text-decoration: underline;
}

.tipo-pago-pedido .text-error-pedido,
.tipo-pago-pedido .text-error-productos {
    display: none;
    padding-top: 8px;
}

.tipo-pago-pedido .text-error-pedido p,
.tipo-pago-pedido .text-error-productos p,
.text-error-cupon p {
    color: var(--error);
    font-size: 12px;
    line-height: 14px;
    letter-spacing: 0.03em;
    font-weight: 500;
    margin: 0;
}

.finalizar_compra {
    float: left;
    width: 100%;
}

#continuar_compra {
    color: var(--text-light);
    font-size: 18px;
    font-weight: 600;
    letter-spacing: 0.03em;
    background-color: var(--main);
}

#continuar_compra:hover,
#continuar_compra:focus {
    background-color: var(--black);
}

/* aviso "lightbox" confirmar pago */
#bloque-confirmar-compra-fondo {
    height: 100%;
    left: 0;
    overflow: hidden;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 0;
    background-color: rgba(var(--black-rgb), 0.85);
    display: none;
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra {
    display: flex;
    align-items: center;
    height: 100%;
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar {
    background-color: var(--White);
    border-radius: 15px;
    width: 84%;
    margin: 0 8%;
    padding-bottom: 20px;
    text-align: center;
    overflow: hidden;
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar h2 {
    color: var(--black);
    font-size: 18px;
    letter-spacing: 0.05em;
    line-height: 24px;
    margin-bottom: 20px;
    padding: 30px 20px 25px;
    background-color: var(--neutral-100);
    border-bottom: 0.5px solid var(--neutral-900);
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input,
#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input:hover {
    padding: 0 !important;
    background-color: var(--neutral-900) !important;
    border-radius: 50px !important;
    font-size: 18px;
    letter-spacing: 2px;
    font-weight: normal;
    height: 45px;
    width: 100px;
    margin: 0 10px;
    text-transform: uppercase;
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input#no-confirmar_compra,
#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input#no-confirmar_compra:hover {
    background-color: rgba(var(--black-rgb), 0.2) !important;
}

#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input:focus,
#bloque-confirmar-compra-fondo #bloque-confirmar-compra .cont-reconfirmar input:focus {
    color: var(--neutral-900) !important;
    background-color: var(--black) !important;
}

/* fin aviso "lightbox" confirmar pago */

/* -------- fin pago pedido -------- */

/* -------- estamos cerrados -------- */

.mask-pedido.mask-cerrado {
    display: flex;
    align-items: center;
    justify-content: center;
    background: none;
    backdrop-filter: initial;
}

#no_servicios_posibles {
    padding: 40px 16px 0;
    text-align: center;
    max-width: 450px;
    position: relative;
    margin: auto;
}

.text-gastro-vuelta {
    margin-bottom: 40px;
}

#no_servicios_posibles h1 {
    color: var(--main);
  margin: 0 0 16px;
  font-size: 46px;
  line-height: 100%;
  font-weight: 200;
  word-break: break-word;
  font-family: var(--typo-secondary);
  padding: 0;
}

#no_servicios_posibles p {
    color: var(--neutral-900);
    font-size: 14px;
    line-height: 21px;
    font-weight: 400;
    letter-spacing: 0.02em;
    max-width: 240px;
    margin: 0 auto;
    padding: 0;
    font-family: var(--typo-secondary);
}

#no_servicios_posibles .text-gastro-vuelta p {
    font-size: 16px;
    text-transform: uppercase;
    color: var(--main);
    letter-spacing: 1px;
}

#no_servicios_posibles .text-gastro-vuelta p strong {
    font-weight: 600;
}

#no_servicios_posibles p.text-gastro-2 {
    font-size: 18px;
  line-height: 110%;
  letter-spacing: 0.5;
  margin-top: 60px;
  text-transform: uppercase;
  font-family: var(--typo-secondary);
  font-weight: 600;
}

/* btn volver */

.btn-gastro.btn-volver-gastro {
    position: initial !important;
    border: none;
    margin-top: 80px;
    padding: 0;
    letter-spacing: 2px;
    background: none !important;
    width: 100% !important;
}

.btn-gastro.btn-volver-gastro a {
    background-color: transparent;
    border: 1px solid var(--neutral-900);
    color: var(--neutral-900);
    width: initial;
    border-radius: 4px;
    height: auto;
    display: inline-block;
    padding: 8px 24px;
    letter-spacing: 1px;
    font-size: 14px;
    font-weight: 600;
    font-family: var(--typo-secondary);
    text-transform: uppercase;
}

.btn-gastro.btn-volver-gastro a:hover,
.btn-gastro.btn-volver-gastro a:focus {
    background-color: var(--neutral-900);
    color: var(--black);
}

/* fin btn volver */

.mask-cerrado .proveedor-jig {
    width: 100%;
}

/* -------- fin estamos cerrados -------- */

/* -------- upppsss pago error -------- */

.mask-error-pedido #no_servicios_posibles p {
    padding-top: 15px;
}

.mask-error-pedido #no_servicios_posibles p:first-child {
    padding-top: 0;
}

.mask-error-pedido #no_servicios_posibles .btn-gastro.btn-ayuda {
    position: initial !important;
    background: none !important;
    border: none;
    height: auto;
    text-align: center;
    margin-top: 24px;
    padding: 0;
    width: 100% !important;
}

.mask-error-pedido #no_servicios_posibles .btn-gastro.btn-ayuda a {
    background-color: var(--main);
    border: none;
    width: auto;
    padding: 8px 24px;
    font-size: 16px;
    letter-spacing: 1px;
    display: inline-block;
    color: var(--neutral-50);
    font-weight: 600;
    border-radius: 0px;
    transition: var(--transition);
}

.btn-ayuda a {
    
    border: 1px solid var(--black);
    width: auto;
    padding: 8px 24px;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    color: var(--black);
    font-weight: 600;
    border-radius: 6px;
    transition: var(--transition);
    margin: 20px 0px;
    font-family: var(--typo-secondary);
    text-transform: uppercase;
}

.btn-ayuda a:hover {
    
    border: 0.5px solid var(--black);
    width: auto;
    padding: 8px 24px;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    color: var(--neutral-100);
   background: var(--black);
   text-decoration: none;
}

.mask-error-pedido #no_servicios_posibles .btn-gastro.btn-ayuda a:hover {
    background-color: var(--main-500);
}

.mask-error-pedido #no_servicios_posibles .btn-gastro.btn-ayuda a:active {
    background-color: var(--neutral-900);
    color: var(--White);
}

.mask-error-pedido #no_servicios_posibles p.text-gastro-2 {
    font-size: 16px;
}

.mask-error-pedido #no_servicios_posibles .btn-gastro.btn-volver-gastro {
    margin-top: 40px;
}

.mask-error-pedido #no_servicios_posibles .text-ayuda-solicitada {
    border: 1px dashed var(--ayuda);
    padding: 0;
    text-align: center;
    margin: 15px 0 0px;
    position: absolute;
    width: calc(100% - 40px);
    display: none;
}

.mask-error-pedido #no_servicios_posibles .text-ayuda-solicitada p {
    color: var(--ayuda);
    font-size: 11px;
    text-transform: uppercase;
    line-height: 14px;
    letter-spacing: 0.03em;
    font-weight: 400;
    padding: 5px 15px;
}

/* -------- ELIMINAR FOOTER -------- */

#footer-bottom {
    display: none !important;
    }
/* -------- FIN ELIMINAR FOOTER -------- */


/* -------- fin upppsss pago error -------- */

/* cookies */
.qc-cmp2-persistent-link {
    right: -83px;
    border-radius: 0;
}

.qc-cmp2-persistent-link img {
    margin-right: 10px;
}

/* fin cookies */

/*------------------------------------------------------------------ CLOSE: GASTROBAR QR */
#no-stock{
    text-align: center;
    color: var(--error);
}

.text-ayuda-solicitada{
    display: none;
}

/*------------------------------------------------------------------ DESCRIPCION */
.descripcion{
display: none;
}
.gastro-info{
    border: 1px solid var(--neutral-400);
    border-radius:  20px;
    padding:  0px 6px;
    margin:  0px 8px !important;
    width: 22px;
    position: absolute;
    top: 0px;
    background:  White;
    color: var(--neutral-600);
    height: 18px;
    text-align: center;
    left: 0;
    height: 22px;
    font-family: var(--typo-secondary);
    font-weight: 600;
    cursor:help;
}

.gastro-info:hover{
  color:var(--secondary) !important;
  border: 1px solid var(--secondary);
  transition: all 0.2s ease-out;
}